---
layout: system

title: "SMGLoM - A Semantic, Multilingual Glossary of Mathematics"
shorttitle: SMGLoM
teaser: A terminological resource for Mathematics. 

start_date: 2013-11

people: 
    - mkohlhase
    - cjucovschi
    - miancu
    - twiesing
    -  jfschaefer

supported-by:
    - mathsearch
    - odk
logo: public/kwarc_logo.svg
publink: http://kwarc.github.io/bibs/smglom
---
The SMGloM is a structured terminology for mathematics. It combines lexical information about the "Words of Mathematics" (in multiple languages) with semantic information about their dependencies. Multiple services can be derived from this terminology, e.g. a [classical glossary](https://mathhub.info/mh/glossary) and a [math dictionary](https://mathhub.info/mh/dictionary).

## Resources
* [SMGloM at MathHub.info](https://mathhub.info/smglom), and
* [the sources on gl.mathhub.info](https://gl.mathhub.info/smglom), written in [sTeX](/systems/sTeX) (a semantic version of LaTeX.

## Papers
* D. Ginev, M. Iancu, C. Jucovshi, A. Kohlhase, M. Kohlhase, A. Oripov, J. Schefter, W. Sperber, O. Teschke and T. Wiesing (2016) [The SMGloM project and system. towards a terminology and ontology for mathematics](http://kwarc.info/kohlhase/papers/icms16-smglom.pdf) ICMS 2016
* M. Kohlhase (2014) [*A data model and encoding for a semantic, multilingual terminology of mathematics*](http://kwarc.info/kohlhase/papers/cicm14-smglom.pdf) CICM 2014 
* ... [complete bibliography](http://kwarc.github.io/bibs/smglom/)
* [blue notes](http://gl.kwarc.info/smglom/blue): the epsilon-baked ideas about how to continue 
